#!/usr/bin/env python
# License: GPL2
# Author:
# Ulrich Dangel <uli@spamt.net>

import urllib2
import urllib
import socket
import re


# timeout in seconds
http_timeout = 4

# Regex to get the name
name_regex=".*Detailinformationen zu (.*) in.*"
nameMatch = re.compile(name_regex)


socket.setdefaulttimeout(http_timeout)

def lookupTel(tel):
    data ={}
    data['TEL']=tel

    browser = urllib2.build_opener()
    browser.addheaders = [('User-agent', 'Mozilla/5.0')]

    try:
        response = browser.open('http://www.goyellow.de/inverssuche/?%s' % 
                urllib.urlencode(data))
        webSite = response.read()
        match = nameMatch.search(webSite)
        if match:
            return match.group(1)
        else:
            return tel
    except urllib2.URLError:
        return tel

if __name__ == '__main__':
    import sys
    if len(sys.argv) != 2:
        print "Usage: %s Tel. Nr" % sys.argv[0]
        sys.exit(1)
    print lookupTel(sys.argv[1])
